Bug 214154 - devel/git-lfs: Fix build for 1.4.4
Summary: devel/git-lfs: Fix build for 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-03 00:51 UTC by Kenji Rikitake
Modified: 2016-11-11 07:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
distinfo (167 bytes, text/plain)
2016-11-03 00:51 UTC, Kenji Rikitake
no flags Details
Makefile (for 1.4.4) (802 bytes, text/plain)
2016-11-03 00:51 UTC, Kenji Rikitake
no flags Details
'poudriere testport' for version 1.4.4 on 12-amd64 (8.81 KB, text/plain)
2016-11-06 12:28 UTC, Rene Ladan
no flags Details
Revised Makefile (for 1.4.4) (737 bytes, text/plain)
2016-11-06 14:33 UTC, Kenji Rikitake
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenji Rikitake 2016-11-03 00:51:09 UTC
Created attachment 176576 [details]
distinfo

git-lfs Version 1.4.4. Update to bug #213216.
Comment 1 Kenji Rikitake 2016-11-03 00:51:54 UTC
Created attachment 176577 [details]
Makefile (for 1.4.4)

The full Makefile
Comment 2 Rene Ladan freebsd_committer 2016-11-06 12:02:32 UTC
Maintainership granted to submitter after three consecutive timeouts, see
https://www.freebsd.org/doc/en/books/porters-handbook/makefile-maintainer.html
Comment 3 Rene Ladan freebsd_committer 2016-11-06 12:26:12 UTC
It looks like you either need to replace all occurrences of "bash" with "sh" with USES=shebangfix or that the port requires shells/bash, see attachment.
Comment 4 Rene Ladan freebsd_committer 2016-11-06 12:28:18 UTC
Created attachment 176683 [details]
'poudriere testport' for version 1.4.4 on 12-amd64
Comment 5 Kenji Rikitake 2016-11-06 13:01:42 UTC
(In reply to Rene Ladan from comment #3)
Searching GitHub repo by the keyword "bash" found 98 results with the following URL:
https://github.com/github/git-lfs/search?p=4&q=bash&utf8=✓
I haven't checked out the details, but I think assuming bash dependency looks safer.
Comment 6 Rene Ladan freebsd_committer 2016-11-06 13:08:00 UTC
Building the port indeed works with BUILD_DEPENDS=bash:/bin/bash added to the Makefile (and probably the same for RUN_DEPENDS to run the port)
Comment 7 Kenji Rikitake 2016-11-06 14:33:34 UTC
Created attachment 176685 [details]
Revised Makefile (for 1.4.4)

Revised Makefile, including BUILD_DEPENDS and RUN_DEPENDS for bash
Comment 8 Rene Ladan freebsd_committer 2016-11-07 20:30:46 UTC
The port builds fine on 9,10,11,12 amd64/i386, so if it runs it can be committed.
Comment 9 Kenji Rikitake 2016-11-08 03:29:36 UTC
(In reply to Rene Ladan from comment #8)
Tested basic function of git-lfs at GitHub private repository
on FreeBSD amd64 11.0-STABLE and worked OK.

I only have amd64 11.0-STABLE so that's all I can test so far.
Comment 10 commit-hook freebsd_committer 2016-11-08 10:51:56 UTC
A commit references this bug:

Author: rene
Date: Tue Nov  8 10:51:22 UTC 2016
New revision: 425729
URL: https://svnweb.freebsd.org/changeset/ports/425729

Log:
  devel/git-lfs: update to 1.4.4

  - unbreak
  - unexpire
  - pass maintainership to submitter

  PR:		214154
  Submitted by:	Kenji Rikitake <kenji@k2r.org>
  Approved by:	three consecutive maintainer timeouts (kuriyama)
  MFH:		2016Q4

Changes:
  head/devel/git-lfs/Makefile
  head/devel/git-lfs/distinfo
Comment 11 commit-hook freebsd_committer 2016-11-11 07:07:33 UTC
A commit references this bug:

Author: rene
Date: Fri Nov 11 07:06:48 UTC 2016
New revision: 425866
URL: https://svnweb.freebsd.org/changeset/ports/425866

Log:
  MFH: r425729

  devel/git-lfs: update to 1.4.4

  - unbreak
  - unexpire
  - pass maintainership to submitter

  PR:		214154
  Submitted by:	Kenji Rikitake <kenji@k2r.org>
  Approved by:	three consecutive maintainer timeouts (kuriyama)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/git-lfs/Makefile
  branches/2016Q4/devel/git-lfs/distinfo